#include <bits/stdc++.h>
#include "triangles.h"

using namespace std;

int fxd(int n, int x, int y) {
    int mxd = 0;
    while (mxd == x || mxd == y) mxd++;
    for (int i = 0; i < n; i++) {
        if (i == x || i == y) continue;
        if (compare({Triangle(x, y, i)}, {Triangle(x, y, mxd)}) == 1) {
            mxd = i;
        }
    }
    return mxd;
}

vector<vector<int>> solve(int n) {
    int a = fxd(n, 0, 1);
    int b = fxd(n, a, 0);
    int c = fxd(n, a, b);
    vector<vector<int>> ans(1, {a, b, c});
    return ans;
}
